JSONBOT(1)

NAME
JSONBOT - The JSON everywhere bot!

SYNOPSIS
JSONBOT is a remote event-driven framework for building bots that talk JSON to each other over XMPP. This manual page documents briefly the jsb distribution..

DESCRIPTION

This distribution provides bots built on this framework for console, IRC, XMPP, Convore and WWW on the shell.

USAGE
JSONBOT uses command line options to configure a bot. See the --help option to get more help on a command options or see the corresponding man page.

the jsb pakage contains the following programs:

    * jsb - console version of jsb
    * jsb-backup - create backup of JSONBOT datadir
    * jsb-convore - convore version of jsb
    * jsb-init - create data directory and config examples, default ~/.jsb
    * jsb-irc - IRC version of jsb
    * jsb-fleet - mix IRC and XMPP bots
    * jsb-sed - sed a whole directory
    * jsb-stop - stop a running bot
    * jsb-tornado - a shell web server based on tornado
    * jsb-udp - send udp packets to the bot that will relay the data
    * jsb-xmpp - XMPP version of jsb

note: JSONBOT is in BETA stage right now and still subject to change of protocols and API.

see http://jsonbot.googlecode.com. see https://jsonbot.org for documentation on the bot.

SEE ALSO
The program is documented fully on http://jsonbot.org or see http://jsonbot.googlecode.com

SEE ALSO
jsb(1), jsb-backup(1), jsb-init(1), jsb-irc(1), jsb-xmpp(1), jsb-fleet(1), jsb-tornado(1), jsb-stop(1), jsb-udp(1)

AUTHOR
This manual page was written by Bart Thate <bthate@gmail.com>, for the Debian GNU/Linux system (but may be used by others).